Toggle Menu
Prev Up Next

# `langchain_core.runnables.config`.patch_config

langchain_core.runnables.config.patch_config(config: Optional[RunnableConfig], *, callbacks: Optional[BaseCallbackManager] = None, recursion_limit: Optional[int] = None, max_concurrency: Optional[int] = None, run_name: Optional[str] = None, configurable: Optional[Dict[str, Any]] = None) → RunnableConfig

  Patch a config with new values.

  Parameters

    - config (Optional[RunnableConfig]) – The config to patch.

    - copy_locals (bool, optional) – Whether to copy locals. Defaults to False.

    - callbacks (Optional[BaseCallbackManager], optional) – The callbacks to set. Defaults to None.

    - recursion_limit (Optional[int], optional) – The recursion limit to set. Defaults to None.

    - max_concurrency (Optional[int], optional) – The max concurrency to set. Defaults to None.

    - run_name (Optional[str], optional) – The run name to set. Defaults to None.

    - configurable (Optional[Dict[str, Any]], optional) – The configurable to set. Defaults to None.

  Returns

    The patched config.

  Return type

    RunnableConfig